Page MenuHomePhabricator

A user should not be able to create talk pages with a blank subject
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Visit http://127.0.0.1:8080/wiki/1?mobileaction=stable#/talk
  2. Click 'Add discussion'
  3. Type a space (' ') in the 'Topic subject' field and something else in the 'Whats is on your mind?' field.
  4. Click 'Save'
  5. You'll see that your talk page is added but you cannot click on it because the subject is empty.

Expected:
When saving a discussion the backend (and front-end also?) should run a simple validation to check that the trimmed subject and discussion are not empty. This or some other validation check needs to run.

By the way, a similar validation should run when someone is replying to someone else's discussion.

Event Timeline

bmansurov raised the priority of this task from to Needs Triage.
bmansurov updated the task description. (Show Details)
bmansurov added a project: Readers-Web-Backlog.
bmansurov added a subscriber: bmansurov.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2015, 10:43 AM
bmansurov updated the task description. (Show Details)Jul 6 2015, 10:45 AM
bmansurov set Security to None.
Jhernandez triaged this task as High priority.Jul 8 2015, 10:19 AM
Jhernandez added a subscriber: Jhernandez.

This is probably just making the frontend JS validation since the backend is just using the normal edit api.

Change 223657 had a related patch set uploaded (by Sumit):
TalkSectionOverlay disallow empty fields

https://gerrit.wikimedia.org/r/223657

I'm still able to re-produce the issue. See

bmansurov closed this task as Resolved.Jul 9 2015, 12:54 PM
bmansurov claimed this task.

It was a cache issue.

Change 223657 merged by jenkins-bot:
TalkSectionOverlay disallow empty fields

https://gerrit.wikimedia.org/r/223657